[env]
# TERM = "xterm-256color"

[font]
size = 14
normal      = { family = "SF Mono", style = "Regular" }
bold        = { family = "SF Mono", style = "Bold" }
italic      = { family = "SF Mono", style = "Regular Italic" }
bold_italic = { family = "SF Mono", style = "Bold Italic" }

# normal      = { family = "Maple Mono", style = "Regular" }
# bold        = { family = "Maple Mono", style = "Bold" }
# italic      = { family = "Maple Mono", style = "Italic" }
# bold_italic = { family = "Maple Mono", style = "Bold Italic" }
# offset = { x = -1, y = 0 }

[window]
padding = { x = 2, y = 0 }
dynamic_padding = true
# resize_increments = true

[keyboard]
bindings = [
    # Create new window
    { action = "SpawnNewInstance", key = "N", mods = "Command" },
    # Jump back one word
    { key = "Left", mods = "Alt", chars = "\u001bb" },
    # Jump forward one word
    { key = "Right", mods = "Alt", chars = "\u001bf" },
    # Move to start of line
    { key = "Left", mods = "Command", chars = "\u0001" },
    # Move to end of line
    { key = "Right", mods = "Command", chars = "\u0005" },
    # Delete backwards
    { key = "Back", mods = "Alt", chars = "\u001B\u007F" }, # word
    { key = "Back", mods = "Command", chars = "\u0015" },   # line
    # Delete forwards
    { key = "Delete", mods = "Alt", chars = "\u001Bd" },    # word
    { key = "Delete", mods = "Command", chars = "\u000B" }  # line
]

[scrolling]
multiplier = 1

[general]
live_config_reload = true

[colors.primary]
background = "#eeeeee"
foreground = "#444444"

[colors.cursor]
text = "#eeeeee"
cursor = "#005fff"

[colors.selection]
text = "#434343"
background = "#e0e0e0"

[colors.normal]
black   = "#000000"
red     = "#aa3731"
green   = "#448c27"
yellow  = "#cb9000"
blue    = "#325cc0"
magenta = "#7a3e9d"
cyan    = "#0083b2"
white   = "#bbbbbb"

[colors.bright]
black   = "#000000"
red     = "#aa3731"
green   = "#448c27"
yellow  = "#cb9000"
blue    = "#325cc0"
magenta = "#7a3e9d"
cyan    = "#0083b2"
white   = "#bbbbbb"
